Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590864 - Unkillable processes
Summary: Unkillable processes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jiri Olsa
QA Contact: Zhouping Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 20:17 UTC by Casey Dahlin
Modified: 2018-11-14 19:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-13 21:31:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
Reproducer (deleted)
2010-05-10 20:17 UTC, Casey Dahlin
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description Casey Dahlin 2010-05-10 20:17:05 UTC
Created attachment 412958 [details]
Reproducer

Customer sees the attached reproducer produce unkillable processes. The attached patch has been shown to resolve the issue in a GSS-provided test-kernel.

Comment 1 Casey Dahlin 2010-05-10 20:17:51 UTC
On second thought I'll link the patch since its already hosted.

http://ck.kolivas.org/patches/bfs//old/clone-fix-race-between-copy_process-and-de_thread.patch

Comment 2 Fedora Update System 2010-05-12 15:21:07 UTC
cscope-15.7a-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/cscope-15.7a-1.fc12

Comment 3 Fedora Update System 2010-05-13 19:29:53 UTC
cscope-15.7a-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Oleg Nesterov 2010-09-02 20:44:24 UTC
(In reply to comment #1)
>
> On second thought I'll link the patch since its already hosted.
> 
> http://ck.kolivas.org/patches/bfs//old/clone-fix-race-between-copy_process-and-de_thread.patch

Yes, this patch should fix the problem. I think the backport is trivial.
Will do tomorrow, although I hope Jiri can do this before me ;)

Comment 8 RHEL Product and Program Management 2010-09-07 23:19:32 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 11 Jarod Wilson 2010-09-15 14:01:12 UTC
in kernel-2.6.18-221.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 15 errata-xmlrpc 2011-01-13 21:31:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.